GGATED(8)

NAME
ggated - GEOM Gate network daemon

SYNOPSIS
ggated [-h] [-n] [-v] [-a address] [-p port] [-R rcvbuf] [-S sndbuf] [exports file]

DESCRIPTION
The ggated utility is a network server for GEOM Gate class. It runs on a server machine to service GEOM Gate requests from workers placed on a client machine. Keep in mind, that connection between ggatec(8) and ggated is not encrypted.

Available options:

-a address
    Specifies an IP address to bind to.

-h  Print available options.

-n  Do not use TCP_NODELAY option on TCP sockets.

-p port
    Port on which ggated listens for connection. Default is 3080.

-R rcvbuf
    Size of receive buffer to use. Default is 131072 (128kB).

-S sndbuf
    Size of send buffer to use. Default is 131072 (128kB).

-v  Do not fork, run in foreground and print debug informations on standard output.

exports file
    An alternate location for the exports file.

The format of an exports file is as follows:

    1.2.3.4		RO	/dev/acd0
    1.2.3.0/24	RW	/tmp/test.img
    hostname	WO	/tmp/image

EXIT STATUS
Exit status is 0 on success, or 1 if the command fails. To get details about the failure, ggated should be called with the -v option.

EXAMPLES
Export CD-ROM device and a file:

    # echo "1.2.3.0/24 RO /dev/acd0" > /etc/gg.exports
    # echo "client RW /image" >> /etc/gg.exports
    # ggated

SEE ALSO
geom(4), ggatec(8), ggatel(8)

AUTHORS
The ggated utility as well as this manual page was written by Pawel Jakub Dawidek <pjd@FreeBSD.org>.